//Copyright (c) 2007 Susan Fairley.
//Creates the table Sequoia, which holds the q-grams and their locations.
//Code holds the numerical form of the q-gram.
//Chromosome identifies the chromosome (or sequence) that the q-gram is on.
//Location identifies a location in the chromosome where the q-gram occurs.
//The table is partitioned by range on code. Ranges were calculated for v3.4
//of the rat genome and partitions placed on the previously created tablespaces.
create table SEQUOIA (
Code NUMBER(14,0),
Chromosome NUMBER(2,0),
Location NUMBER(9,0)
)
partition by range (Code)
(partition PART1 values less than ('30517578125')
tablespace PART1_TS,
partition PART2 values less than ('91552734375')
tablespace PART2_TS,
partition PART3 values less than ('183105468750')
tablespace PART3_TS,
partition PART4 values less than ('335693359375')
tablespace PART4_TS,
partition PART5 values less than ('457763671875')
tablespace PART5_TS,
partition PART6 values less than ('549316406250')
tablespace PART6_TS,
partition PART7 values less than ('793457031250')
tablespace PART7_TS,
partition PART8 values less than ('854492187500')
tablespace PART8_TS,
partition PART9 values less than ('1007080078125')
tablespace PART9_TS,
partition PART10 values less than ('1281738281250')
tablespace PART10_TS,
partition PART11 values less than ('1525878906250')
tablespace PART11_TS,
partition PART12 values less than ('1586914062500')
tablespace PART12_TS,
partition PART13 values less than ('1678466796875')
tablespace PART13_TS,
partition PART14 values less than ('1831054687500')
tablespace PART14_TS,
partition PART15 values less than ('1922607421875')
tablespace PART15_TS,
partition PART16 values less than ('2075195312500')
tablespace PART16_TS,
partition PART17 values less than ('2349853515625')
tablespace PART17_TS,
partition PART18 values less than ('2471923828125')
tablespace PART18_TS,
partition PART19 values less than ('2624511718750')
tablespace PART19_TS,
partition PART20 values less than ('2746582031250')
tablespace PART20_TS,
partition PART21 values less than ('2838134765625')
tablespace PART21_TS,
partition PART22 values less than ('3845214843750')
tablespace PART22_TS,
partition PART23 values less than ('3967285156250')
tablespace PART23_TS,
partition PART24 values less than ('4119873046875')
tablespace PART24_TS,
partition PART25 values less than ('4211425781250')
tablespace PART25_TS,
partition PART26 values less than ('4333496093750')
tablespace PART26_TS,
partition PART27 values less than ('4608154296875')
tablespace PART27_TS,
partition PART28 values less than ('4730224609375')
tablespace PART28_TS,
partition PART29 values less than ('5035400390625')
tablespace PART29_TS,
partition PART30 values less than ('5126953125000')
tablespace PART30_TS,
partition PART31 values less than ('6103515625000')
tablespace PART31_TS,
partition PART32 values less than ('6256103515625')
tablespace PART32_TS,
partition PART33 values less than ('6347656250000')
tablespace PART33_TS,
partition PART34 values less than ('6469726562500')
tablespace PART34_TS,
partition PART35 values less than ('6591796875000')
tablespace PART35_TS,
partition PART36 values less than ('6652832031250')
tablespace PART36_TS,
partition PART37 values less than ('7659912109375')
tablespace PART37_TS,
partition PART38 values less than ('7781982421875')
tablespace PART38_TS,
partition PART39 values less than ('7965087890625')
tablespace PART39_TS,
partition PART40 values less than ('8117675781250')
tablespace PART40_TS,
partition PART41 values less than ('8453369140625')
tablespace PART41_TS,
partition PART42 values less than ('8636474609375')
tablespace PART42_TS,
partition PART43 values less than ('8941650390625')
tablespace PART43_TS,
partition PART44 values less than ('9216308593750')
tablespace PART44_TS,
partition PART45 values less than ('9399414062500')
tablespace PART45_TS,
partition PART46 values less than ('9552001953125')
tablespace PART46_TS,
partition PART47 values less than ('9918212890625')
tablespace PART47_TS,
partition PART48 values less than ('10101318359375')
tablespace PART48_TS,
partition PART49 values less than ('10284423828125')
tablespace PART49_TS,
partition PART50 values less than ('10437011718750')
tablespace PART50_TS,
partition PART51 values less than ('11474609375000')
tablespace PART51_TS,
partition PART52 values less than ('11627197265625')
tablespace PART52_TS,
partition PART53 values less than ('11840820312500')
tablespace PART53_TS,
partition PART54 values less than ('11993408203125')
tablespace PART54_TS,
partition PART55 values less than ('12268066406250')
tablespace PART55_TS,
partition PART56 values less than ('12390136718750')
tablespace PART56_TS,
partition PART57 values less than ('12664794921875')
tablespace PART57_TS,
partition PART58 values less than ('12725830078125')
tablespace PART58_TS,
partition PART59 values less than ('12969970703125')
tablespace PART59_TS,
partition PART60 values less than ('13061523437500')
tablespace PART60_TS,
partition PART61 values less than ('13214111328125')
tablespace PART61_TS,
partition PART62 values less than ('13336181640625')
tablespace PART62_TS,
partition PART63 values less than ('13458251953125')
tablespace PART63_TS,
partition PART64 values less than ('13519287109375')
tablespace PART64_TS,
partition PART65 values less than ('13793945312500')
tablespace PART65_TS,
partition PART66 values less than ('13916015625000')
tablespace PART66_TS,
partition PART67 values less than ('14038085937500')
tablespace PART67_TS,
partition PART68 values less than ('14129638671875')
tablespace PART68_TS,
partition PART69 values less than ('14221191406250')
tablespace PART69_TS,
partition PART70 values less than ('14282226562500')
tablespace PART70_TS,
partition PART71 values less than ('19042968750000')
tablespace PART71_TS,
partition PART72 values less than (MAXVALUE)
tablespace PART72_TS)